%define api 1.7
%define major 0
%define libname %mklibname %{name} %{api} %{major}
%define develname %mklibname %{name} -d

Summary: 	Common C++ RTP stack
Name: 	 	ccrtp
Version: 	1.7.1
Release: 	%mkrel 2
License:	GPLv2+
Group:		System/Libraries
URL:		http://www.gnu.org/software/ccrtp/
Source0:	ftp://ftp.gnu.org/pub/gnu/ccrtp/%{name}-%{version}.tar.xz
Patch0:		ccrtp-stddef-include.patch
Patch1:		libgcrypt160.patch
BuildRequires:	libCommonC++-devel
BuildRequires:	libgcrypt-devel
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	doxygen
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
Common C++ RTP stack

%package -n 	%{libname}
Summary:        Dynamic libraries from %{name}
Group:          System/Libraries
Provides:	%{name} = %version
Obsoletes:	%{mklibname ccrtp 1} < %{version}-%{release}

%description -n %{libname}
Dynamic libraries from %{name}.

%package -n 	%{develname}
Summary: 	Header files and static libraries from %{name}
Group: 		Development/C
Requires: 	%{libname} = %{version}-%{release}
Provides: 	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{mklibname -d ccrtp 1.5}

%description -n %{develname}
Libraries and includes files for developing programs based on %{name}.

%prep
%setup -q
%patch0 -p0
%patch1 -p0

%build
export CXXFLAGS="-fpermissive %{optflags}"
%configure2_5x
%make LIBTOOL=%_bindir/libtool

%install
rm -rf %{buildroot}

%makeinstall_std

%post -n %{libname}
/sbin/ldconfig

%postun -n %{libname}
/sbin/ldconfig

%post -n %{develname}
%_install_info %{name}.info

%postun -n %{develname}
%_remove_install_info %{name}.info

%clean
rm -rf %{buildroot}

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*.so.%{major}
%{_libdir}/*.so.%{major}.*

%files -n %{develname}
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/*.la
%{_libdir}/pkgconfig/*.pc
%{_infodir}/*




%changelog
* Sun Apr 30 2017 ghostbunny <ghostbunny at gmx dot de> 1.7.1-2pclos2017
- rebuild against libgcrypt
- add compiler patch (patch0) to build with our gcc version
- add patch for current libgcrypt. The patch ist just the diff to the current 
  version that checks the libgcrypt version an initialized dependend on the 
  version
- recompress source with tar.xz
- rename spec to pclos-ccrtp.spec

* Mon Jul 06 2009 Texstar <texstar@gmail.com> 1.7.1-1pclos2009
- 1.7.1

